import 'package:news_getx/data/model/user.dart';
import 'package:news_getx/data/provider/user.dart';

class UserRepository {
  Future<UserLoginResponse> login(UserLoginRequest request) {
    return UserAPI.login(request);
  }

  Future<UserRegisterRequest> register(
    UserRegisterRequest request, {
    UserRegisterRequest? data,
  }) {
    return UserAPI.register(request, data: data);
  }

  Future<UserLoginResponse> profile() {
    return UserAPI.profile();
  }

  Future logout() {
    return UserAPI.logout();
  }
}
